Rake aborted!

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

Rake aborted!

brainiacsys5
Hi Everyone,

Now that the bundle install has run successfully I have run into the following error while running rake db:create. Does anyone have any ideas how to resolve the issue?

Thanks,

rake aborted!

ExecJS::RuntimeUnavailable: Could not find a JavaScript runtime. See https://github.com/rails/execjs for a list of available runtimes.
/var/lib/gems/2.3.0/gems/execjs-2.7.0/lib/execjs/runtimes.rb:58:in `autodetect'
/var/lib/gems/2.3.0/gems/execjs-2.7.0/lib/execjs.rb:5:in `<module:ExecJS>'
/var/lib/gems/2.3.0/gems/execjs-2.7.0/lib/execjs.rb:4:in `<top (required)>'
/var/lib/gems/2.3.0/gems/uglifier-4.1.20/lib/uglifier.rb:5:in `require'
/var/lib/gems/2.3.0/gems/uglifier-4.1.20/lib/uglifier.rb:5:in `<top (required)>'
/home/nessnipes/webapp/config/application.rb:7:in `<top (required)>'
/home/nessnipes/webapp/Rakefile:4:in `<top (required)>'
/var/lib/gems/2.3.0/gems/rake-12.3.2/exe/rake:27:in `<top (required)>'
(See full trace by running task with --trace)

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/3391f9d1-b283-4db5-bc02-1f51d75278bb%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Rake aborted!

Hassan Schroeder-2
On Sun, Mar 10, 2019 at 9:45 AM <[hidden email]> wrote:

> Now that the bundle install has run successfully I have run into the following error while running rake db:create. Does anyone have any ideas how to resolve the issue?

> rake aborted!
> ExecJS::RuntimeUnavailable: Could not find a JavaScript runtime. See https://github.com/rails/execjs for a list of available runtimes.

Did you follow the link in the message?

--
Hassan Schroeder ------------------------ [hidden email]
twitter: @hassan
Consulting Availability : Silicon Valley or remote

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/CACmC4yCjPtXUbSbAayON1Px6cBDAc58RmnC%3DBgOmx1cE197AMg%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Rake aborted!

brainiacsys5
Yes I did. Where I was thrown off is in trying to understand what the literal issue is so I could resolve it as my understanding was if there were any outstanding issues with the app it wouldnt bundle I assumed the issue to be OS related. I 

On Sunday, March 10, 2019 at 1:10:22 PM UTC-4, Hassan Schroeder wrote:
On Sun, Mar 10, 2019 at 9:45 AM <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="wHng11kPBgAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">braini...@...> wrote:

> Now that the bundle install has run successfully I have run into the following error while running rake db:create. Does anyone have any ideas how to resolve the issue?

> rake aborted!
> ExecJS::RuntimeUnavailable: Could not find a JavaScript runtime. See <a href="https://github.com/rails/execjs" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Frails%2Fexecjs\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNECWG83LBqb2qP2MvXVGmXqTPd30Q&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Frails%2Fexecjs\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNECWG83LBqb2qP2MvXVGmXqTPd30Q&#39;;return true;">https://github.com/rails/execjs for a list of available runtimes.

Did you follow the link in the message?

--
Hassan Schroeder ------------------------ <a href="javascript:" target="_blank" gdf-obfuscated-mailto="wHng11kPBgAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">hassan.s...@...
twitter: @hassan
Consulting Availability : Silicon Valley or remote

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/c9b83824-b33c-4645-ba0b-84ec0d799494%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Rake aborted!

Walter Lee Davis
Correct. Your server does not have a JavaScript interpreter available at the command line. These days, I just install whatever version of NodeJS is in the package manager for that server. If you want to avoid any server dependencies, you can just add therubyracer to your Gemfile and bundle on the server will install that. That's a JS interpreter written entirely in vanilla Ruby.

Walter

> On Mar 10, 2019, at 1:21 PM, [hidden email] wrote:
>
> Yes I did. Where I was thrown off is in trying to understand what the literal issue is so I could resolve it as my understanding was if there were any outstanding issues with the app it wouldnt bundle I assumed the issue to be OS related. I
>
> On Sunday, March 10, 2019 at 1:10:22 PM UTC-4, Hassan Schroeder wrote:
> On Sun, Mar 10, 2019 at 9:45 AM <[hidden email]> wrote:
>
> > Now that the bundle install has run successfully I have run into the following error while running rake db:create. Does anyone have any ideas how to resolve the issue?
>
> > rake aborted!
> > ExecJS::RuntimeUnavailable: Could not find a JavaScript runtime. See https://github.com/rails/execjs for a list of available runtimes.
>
> Did you follow the link in the message?
>
> --
> Hassan Schroeder ------------------------ [hidden email]
> twitter: @hassan
> Consulting Availability : Silicon Valley or remote
>
> --
> You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
> To post to this group, send email to [hidden email].
> To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/c9b83824-b33c-4645-ba0b-84ec0d799494%40googlegroups.com.
> For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/9ADF24EF-B643-4E3C-A0B8-970B38963679%40wdstudio.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Rake aborted!

brainiacsys5
Thank you Walter and Hasan. The gem is actually in the gem file but this occurred in development on my desktop so my guess would be I would need to install it there. 

On Sunday, March 10, 2019 at 1:27:30 PM UTC-4, Walter Lee Davis wrote:
Correct. Your server does not have a JavaScript interpreter available at the command line. These days, I just install whatever version of NodeJS is in the package manager for that server. If you want to avoid any server dependencies, you can just add therubyracer to your Gemfile and bundle on the server will install that. That's a JS interpreter written entirely in vanilla Ruby.

Walter

> On Mar 10, 2019, at 1:21 PM, <a href="javascript:" target="_blank" gdf-obfuscated-mailto="xAkgKEkQBgAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">braini...@... wrote:
>
> Yes I did. Where I was thrown off is in trying to understand what the literal issue is so I could resolve it as my understanding was if there were any outstanding issues with the app it wouldnt bundle I assumed the issue to be OS related. I
>
> On Sunday, March 10, 2019 at 1:10:22 PM UTC-4, Hassan Schroeder wrote:
> On Sun, Mar 10, 2019 at 9:45 AM <[hidden email]> wrote:
>
> > Now that the bundle install has run successfully I have run into the following error while running rake db:create. Does anyone have any ideas how to resolve the issue?
>
> > rake aborted!
> > ExecJS::RuntimeUnavailable: Could not find a JavaScript runtime. See <a href="https://github.com/rails/execjs" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Frails%2Fexecjs\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNECWG83LBqb2qP2MvXVGmXqTPd30Q&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Frails%2Fexecjs\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNECWG83LBqb2qP2MvXVGmXqTPd30Q&#39;;return true;">https://github.com/rails/execjs for a list of available runtimes.
>
> Did you follow the link in the message?
>
> --
> Hassan Schroeder ------------------------ [hidden email]
> twitter: @hassan
> Consulting Availability : Silicon Valley or remote
>
> --
> You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="xAkgKEkQBgAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">rubyonrails-ta...@googlegroups.com.
> To post to this group, send email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="xAkgKEkQBgAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">rubyonra...@googlegroups.com.
> To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/rubyonrails-talk/c9b83824-b33c-4645-ba0b-84ec0d799494%40googlegroups.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/rubyonrails-talk/c9b83824-b33c-4645-ba0b-84ec0d799494%40googlegroups.com&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/rubyonrails-talk/c9b83824-b33c-4645-ba0b-84ec0d799494%40googlegroups.com&#39;;return true;">https://groups.google.com/d/msgid/rubyonrails-talk/c9b83824-b33c-4645-ba0b-84ec0d799494%40googlegroups.com.
> For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/462f08c9-c75c-4d7c-9b0f-2c4674b45328%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Rake aborted!

Colin Law
On Sun, 10 Mar 2019 at 17:35, <[hidden email]> wrote:
>
> Thank you Walter and Hasan. The gem is actually in the gem file but this occurred in development on my desktop so my guess would be I would need to install it there.

If therubyracer is in your Gemfile then that should be enough.

Colin

>
> On Sunday, March 10, 2019 at 1:27:30 PM UTC-4, Walter Lee Davis wrote:
>>
>> Correct. Your server does not have a JavaScript interpreter available at the command line. These days, I just install whatever version of NodeJS is in the package manager for that server. If you want to avoid any server dependencies, you can just add therubyracer to your Gemfile and bundle on the server will install that. That's a JS interpreter written entirely in vanilla Ruby.
>>
>> Walter
>>
>> > On Mar 10, 2019, at 1:21 PM, [hidden email] wrote:
>> >
>> > Yes I did. Where I was thrown off is in trying to understand what the literal issue is so I could resolve it as my understanding was if there were any outstanding issues with the app it wouldnt bundle I assumed the issue to be OS related. I
>> >
>> > On Sunday, March 10, 2019 at 1:10:22 PM UTC-4, Hassan Schroeder wrote:
>> > On Sun, Mar 10, 2019 at 9:45 AM <[hidden email]> wrote:
>> >
>> > > Now that the bundle install has run successfully I have run into the following error while running rake db:create. Does anyone have any ideas how to resolve the issue?
>> >
>> > > rake aborted!
>> > > ExecJS::RuntimeUnavailable: Could not find a JavaScript runtime. See https://github.com/rails/execjs for a list of available runtimes.
>> >
>> > Did you follow the link in the message?
>> >
>> > --
>> > Hassan Schroeder ------------------------ [hidden email]
>> > twitter: @hassan
>> > Consulting Availability : Silicon Valley or remote
>> >
>> > --
>> > You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
>> > To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
>> > To post to this group, send email to [hidden email].
>> > To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/c9b83824-b33c-4645-ba0b-84ec0d799494%40googlegroups.com.
>> > For more options, visit https://groups.google.com/d/optout.
>>
> --
> You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
> To post to this group, send email to [hidden email].
> To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/462f08c9-c75c-4d7c-9b0f-2c4674b45328%40googlegroups.com.
> For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/CAL%3D0gLu%2BG2yKRtAZ8KFVWOBevKn8gL2UPLKRwSTUZMfjGQxJYA%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Rake aborted!

brainiacsys5
Hi Colin,

I am not sure but I think the issue is that it is running on a desktop right now rather than on a webserver. 

Thanks,

On Sunday, March 10, 2019 at 4:04:21 PM UTC-4, Colin Law wrote:
On Sun, 10 Mar 2019 at 17:35, <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="CGkfbNgYBgAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">braini...@...> wrote:
>
> Thank you Walter and Hasan. The gem is actually in the gem file but this occurred in development on my desktop so my guess would be I would need to install it there.

If therubyracer is in your Gemfile then that should be enough.

Colin

>
> On Sunday, March 10, 2019 at 1:27:30 PM UTC-4, Walter Lee Davis wrote:
>>
>> Correct. Your server does not have a JavaScript interpreter available at the command line. These days, I just install whatever version of NodeJS is in the package manager for that server. If you want to avoid any server dependencies, you can just add therubyracer to your Gemfile and bundle on the server will install that. That's a JS interpreter written entirely in vanilla Ruby.
>>
>> Walter
>>
>> > On Mar 10, 2019, at 1:21 PM, [hidden email] wrote:
>> >
>> > Yes I did. Where I was thrown off is in trying to understand what the literal issue is so I could resolve it as my understanding was if there were any outstanding issues with the app it wouldnt bundle I assumed the issue to be OS related. I
>> >
>> > On Sunday, March 10, 2019 at 1:10:22 PM UTC-4, Hassan Schroeder wrote:
>> > On Sun, Mar 10, 2019 at 9:45 AM <[hidden email]> wrote:
>> >
>> > > Now that the bundle install has run successfully I have run into the following error while running rake db:create. Does anyone have any ideas how to resolve the issue?
>> >
>> > > rake aborted!
>> > > ExecJS::RuntimeUnavailable: Could not find a JavaScript runtime. See <a href="https://github.com/rails/execjs" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Frails%2Fexecjs\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNECWG83LBqb2qP2MvXVGmXqTPd30Q&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Frails%2Fexecjs\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNECWG83LBqb2qP2MvXVGmXqTPd30Q&#39;;return true;">https://github.com/rails/execjs for a list of available runtimes.
>> >
>> > Did you follow the link in the message?
>> >
>> > --
>> > Hassan Schroeder ------------------------ [hidden email]
>> > twitter: @hassan
>> > Consulting Availability : Silicon Valley or remote
>> >
>> > --
>> > You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
>> > To unsubscribe from this group and stop receiving emails from it, send an email to rubyonrails-ta...@googlegroups.com.
>> > To post to this group, send email to [hidden email].
>> > To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/rubyonrails-talk/c9b83824-b33c-4645-ba0b-84ec0d799494%40googlegroups.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/rubyonrails-talk/c9b83824-b33c-4645-ba0b-84ec0d799494%40googlegroups.com&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/rubyonrails-talk/c9b83824-b33c-4645-ba0b-84ec0d799494%40googlegroups.com&#39;;return true;">https://groups.google.com/d/msgid/rubyonrails-talk/c9b83824-b33c-4645-ba0b-84ec0d799494%40googlegroups.com.
>> > For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.
>>
> --
> You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="CGkfbNgYBgAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">rubyonrails-ta...@googlegroups.com.
> To post to this group, send email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="CGkfbNgYBgAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">rubyonra...@googlegroups.com.
> To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/rubyonrails-talk/462f08c9-c75c-4d7c-9b0f-2c4674b45328%40googlegroups.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/rubyonrails-talk/462f08c9-c75c-4d7c-9b0f-2c4674b45328%40googlegroups.com&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/rubyonrails-talk/462f08c9-c75c-4d7c-9b0f-2c4674b45328%40googlegroups.com&#39;;return true;">https://groups.google.com/d/msgid/rubyonrails-talk/462f08c9-c75c-4d7c-9b0f-2c4674b45328%40googlegroups.com.
> For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/4028b458-ae0c-485c-bd4d-9761b0b6828b%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Rake aborted!

Colin Law
On Sun, 10 Mar 2019 at 20:30, <[hidden email]> wrote:
>
> Hi Colin,
>
> I am not sure but I think the issue is that it is running on a desktop right now rather than on a webserver.

Shouldn't make any difference, provided you have run bundle install on
the desktop.  Nowadays I do use nodejs but I used to use therubyracer.
You could post your Gemfile here for us to see.
Alternatively you could just install nodejs. If this is a Debian based
system (Ubuntu for example) then you can run
sudo apt-get install nodejs
and then I think you can remove therubyracer.

Colin

>
> Thanks,
>
> On Sunday, March 10, 2019 at 4:04:21 PM UTC-4, Colin Law wrote:
>>
>> On Sun, 10 Mar 2019 at 17:35, <[hidden email]> wrote:
>> >
>> > Thank you Walter and Hasan. The gem is actually in the gem file but this occurred in development on my desktop so my guess would be I would need to install it there.
>>
>> If therubyracer is in your Gemfile then that should be enough.
>>
>> Colin
>>
>> >
>> > On Sunday, March 10, 2019 at 1:27:30 PM UTC-4, Walter Lee Davis wrote:
>> >>
>> >> Correct. Your server does not have a JavaScript interpreter available at the command line. These days, I just install whatever version of NodeJS is in the package manager for that server. If you want to avoid any server dependencies, you can just add therubyracer to your Gemfile and bundle on the server will install that. That's a JS interpreter written entirely in vanilla Ruby.
>> >>
>> >> Walter
>> >>
>> >> > On Mar 10, 2019, at 1:21 PM, [hidden email] wrote:
>> >> >
>> >> > Yes I did. Where I was thrown off is in trying to understand what the literal issue is so I could resolve it as my understanding was if there were any outstanding issues with the app it wouldnt bundle I assumed the issue to be OS related. I
>> >> >
>> >> > On Sunday, March 10, 2019 at 1:10:22 PM UTC-4, Hassan Schroeder wrote:
>> >> > On Sun, Mar 10, 2019 at 9:45 AM <[hidden email]> wrote:
>> >> >
>> >> > > Now that the bundle install has run successfully I have run into the following error while running rake db:create. Does anyone have any ideas how to resolve the issue?
>> >> >
>> >> > > rake aborted!
>> >> > > ExecJS::RuntimeUnavailable: Could not find a JavaScript runtime. See https://github.com/rails/execjs for a list of available runtimes.
>> >> >
>> >> > Did you follow the link in the message?
>> >> >
>> >> > --
>> >> > Hassan Schroeder ------------------------ [hidden email]
>> >> > twitter: @hassan
>> >> > Consulting Availability : Silicon Valley or remote
>> >> >
>> >> > --
>> >> > You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
>> >> > To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
>> >> > To post to this group, send email to [hidden email].
>> >> > To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/c9b83824-b33c-4645-ba0b-84ec0d799494%40googlegroups.com.
>> >> > For more options, visit https://groups.google.com/d/optout.
>> >>
>> > --
>> > You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
>> > To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
>> > To post to this group, send email to [hidden email].
>> > To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/462f08c9-c75c-4d7c-9b0f-2c4674b45328%40googlegroups.com.
>> > For more options, visit https://groups.google.com/d/optout.
>
> --
> You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
> To post to this group, send email to [hidden email].
> To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/4028b458-ae0c-485c-bd4d-9761b0b6828b%40googlegroups.com.
> For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/CAL%3D0gLvYcCRH_rLUKEg9G4nXaGk2ZfP8Om0HdCBp%3DhESN%3DST_Q%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Rake aborted!

brainiacsys5
I installed NodeJs and it worked like a charm. Thank you Colin, Walter and everyone. The only issue I have now appears to be Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock'. It never ends. LOL


n Sunday, March 10, 2019 at 5:57:48 PM UTC-4, Colin Law wrote:
On Sun, 10 Mar 2019 at 20:30, <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="Lvk8NwkfBgAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">braini...@...> wrote:
>
> Hi Colin,
>
> I am not sure but I think the issue is that it is running on a desktop right now rather than on a webserver.

Shouldn't make any difference, provided you have run bundle install on
the desktop.  Nowadays I do use nodejs but I used to use therubyracer.
You could post your Gemfile here for us to see.
Alternatively you could just install nodejs. If this is a Debian based
system (Ubuntu for example) then you can run
sudo apt-get install nodejs
and then I think you can remove therubyracer.

Colin

>
> Thanks,
>
> On Sunday, March 10, 2019 at 4:04:21 PM UTC-4, Colin Law wrote:
>>
>> On Sun, 10 Mar 2019 at 17:35, <[hidden email]> wrote:
>> >
>> > Thank you Walter and Hasan. The gem is actually in the gem file but this occurred in development on my desktop so my guess would be I would need to install it there.
>>
>> If therubyracer is in your Gemfile then that should be enough.
>>
>> Colin
>>
>> >
>> > On Sunday, March 10, 2019 at 1:27:30 PM UTC-4, Walter Lee Davis wrote:
>> >>
>> >> Correct. Your server does not have a JavaScript interpreter available at the command line. These days, I just install whatever version of NodeJS is in the package manager for that server. If you want to avoid any server dependencies, you can just add therubyracer to your Gemfile and bundle on the server will install that. That's a JS interpreter written entirely in vanilla Ruby.
>> >>
>> >> Walter
>> >>
>> >> > On Mar 10, 2019, at 1:21 PM, [hidden email] wrote:
>> >> >
>> >> > Yes I did. Where I was thrown off is in trying to understand what the literal issue is so I could resolve it as my understanding was if there were any outstanding issues with the app it wouldnt bundle I assumed the issue to be OS related. I
>> >> >
>> >> > On Sunday, March 10, 2019 at 1:10:22 PM UTC-4, Hassan Schroeder wrote:
>> >> > On Sun, Mar 10, 2019 at 9:45 AM <[hidden email]> wrote:
>> >> >
>> >> > > Now that the bundle install has run successfully I have run into the following error while running rake db:create. Does anyone have any ideas how to resolve the issue?
>> >> >
>> >> > > rake aborted!
>> >> > > ExecJS::RuntimeUnavailable: Could not find a JavaScript runtime. See <a href="https://github.com/rails/execjs" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Frails%2Fexecjs\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNECWG83LBqb2qP2MvXVGmXqTPd30Q&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Frails%2Fexecjs\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNECWG83LBqb2qP2MvXVGmXqTPd30Q&#39;;return true;">https://github.com/rails/execjs for a list of available runtimes.
>> >> >
>> >> > Did you follow the link in the message?
>> >> >
>> >> > --
>> >> > Hassan Schroeder ------------------------ [hidden email]
>> >> > twitter: @hassan
>> >> > Consulting Availability : Silicon Valley or remote
>> >> >
>> >> > --
>> >> > You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
>> >> > To unsubscribe from this group and stop receiving emails from it, send an email to rubyonrails-ta...@googlegroups.com.
>> >> > To post to this group, send email to [hidden email].
>> >> > To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/rubyonrails-talk/c9b83824-b33c-4645-ba0b-84ec0d799494%40googlegroups.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/rubyonrails-talk/c9b83824-b33c-4645-ba0b-84ec0d799494%40googlegroups.com&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/rubyonrails-talk/c9b83824-b33c-4645-ba0b-84ec0d799494%40googlegroups.com&#39;;return true;">https://groups.google.com/d/msgid/rubyonrails-talk/c9b83824-b33c-4645-ba0b-84ec0d799494%40googlegroups.com.
>> >> > For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.
>> >>
>> > --
>> > You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
>> > To unsubscribe from this group and stop receiving emails from it, send an email to rubyonrails-ta...@googlegroups.com.
>> > To post to this group, send email to [hidden email].
>> > To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/rubyonrails-talk/462f08c9-c75c-4d7c-9b0f-2c4674b45328%40googlegroups.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/rubyonrails-talk/462f08c9-c75c-4d7c-9b0f-2c4674b45328%40googlegroups.com&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/rubyonrails-talk/462f08c9-c75c-4d7c-9b0f-2c4674b45328%40googlegroups.com&#39;;return true;">https://groups.google.com/d/msgid/rubyonrails-talk/462f08c9-c75c-4d7c-9b0f-2c4674b45328%40googlegroups.com.
>> > For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.
>
> --
> You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="Lvk8NwkfBgAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">rubyonrails-ta...@googlegroups.com.
> To post to this group, send email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="Lvk8NwkfBgAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">rubyonra...@googlegroups.com.
> To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/rubyonrails-talk/4028b458-ae0c-485c-bd4d-9761b0b6828b%40googlegroups.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/rubyonrails-talk/4028b458-ae0c-485c-bd4d-9761b0b6828b%40googlegroups.com&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/rubyonrails-talk/4028b458-ae0c-485c-bd4d-9761b0b6828b%40googlegroups.com&#39;;return true;">https://groups.google.com/d/msgid/rubyonrails-talk/4028b458-ae0c-485c-bd4d-9761b0b6828b%40googlegroups.com.
> For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/38df7585-8afa-4268-9e36-cbc0b8bb4050%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.